diff --git a/web/pgadmin/browser/static/js/panel.js b/web/pgadmin/browser/static/js/panel.js
index 646a6b95..8fbf2e13 100644
--- a/web/pgadmin/browser/static/js/panel.js
+++ b/web/pgadmin/browser/static/js/panel.js
@@ -18,7 +18,7 @@ define(
       var defaults = [
         'name', 'title', 'width', 'height', 'showTitle', 'isCloseable',
         'isPrivate', 'content', 'icon', 'events', 'onCreate', 'elContainer',
-        'canHide', 'limit',
+        'canHide', 'limit', 'extraClasses',
       ];
       _.extend(this, _.pick(options, defaults));
     };
@@ -37,6 +37,7 @@ define(
       onCreate: null,
       elContainer: false,
       limit: null,
+      extraClasses: null,
       load: function(docker, title) {
         var that = this;
         if (!that.panel) {
@@ -61,6 +62,11 @@ define(
                 'class': 'pg-panel-content',
               }).append($(that.content));
 
+              // Add extra classes
+              if (!_.isNull('extraClasses')) {
+                $container.addClass(that.extraClasses);
+              }
+
               myPanel.closeable(!!that.isCloseable);
               myPanel.layout().addItem($container);
               that.panel = myPanel;
diff --git a/web/pgadmin/tools/sqleditor/static/css/sqleditor.css b/web/pgadmin/tools/sqleditor/static/css/sqleditor.css
index 9c6988a1..86d3defc 100644
--- a/web/pgadmin/tools/sqleditor/static/css/sqleditor.css
+++ b/web/pgadmin/tools/sqleditor/static/css/sqleditor.css
@@ -423,3 +423,7 @@ input.editor-checkbox:focus {
 .geometry-viewer-info-control i{
   margin: 0 0 0 4px;
 }
+
+.hide-vertical-scrollbar {
+  overflow-y: hidden;
+}
diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index fd2ba623..9e94c557 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -236,6 +236,7 @@ define('tools.querytool', [
         height: '100%',
         isCloseable: false,
         isPrivate: true,
+        extraClasses: 'hide-vertical-scrollbar',
         content: '<div id ="datagrid" class="sql-editor-grid-container text-12" tabindex: "0"></div>',
       });
 
